Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface DoWhileLoopTree

All Superinterfaces:
  ConditionalLoopTree, LoopTree, StatementTree, Tree

    public interface DoWhileLoopTree
    extends ConditionalLoopTree

A tree node for a 'do' statement. For example:

       do
           statement
       while ( expression );

Since:
  9

### Nested Class Summary

### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`ExpressionTree` `getCondition()` Returns the condition expression of this do-while statement.
`StatementTree` `getStatement()` The statement contained within this do-while statement.

### Methods inherited from interface jdk.nashorn.api.tree.Tree

`accept, getEndPosition, getKind, getStartPosition`

### Method Detail

#### getCondition

    ExpressionTree getCondition()

Returns the condition expression of this do-while statement.

Specified by:
  `getCondition` in interface `ConditionalLoopTree`
Returns:
  the condition expression

#### getStatement

    StatementTree getStatement()

The statement contained within this do-while statement.

Specified by:
  `getStatement` in interface `LoopTree`
Returns:
  the statement